Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl
Class RootElementTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl.RootElementTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RootElementType

    public class RootElementTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RootElementType

An implementation of the model object 'Root Element Type'.

The following features are implemented:

- `Submit Objects Request`
- `Update Objects Request`
- `Approve Objects Request`
- `Deprecate Objects Request`
- `Remove Objects Request`
- `Adhoc Query Request`
- `Get Content Request`
- `Add Slots Request`
- `Remove Slots Request`
- `Registry Response`
- `Registry Profile`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetGetContentRequest(GetContentRequestType newGetContentRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryProfile(RegistryProfileType newRegistryProfile, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryResponse(RegistryResponseType newRegistryResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AddSlotsRequestType` | `getAddSlotsRequest()`
`AdhocQueryRequestType` | `getAdhocQueryRequest()`
`ApproveObjectsRequestType` | `getApproveObjectsRequest()`
`DeprecateObjectsRequestType` | `getDeprecateObjectsRequest()`
`GetContentRequestType` | `getGetContentRequest()`
`RegistryProfileType` | `getRegistryProfile()`
`RegistryResponseType` | `getRegistryResponse()`
`RemoveObjectsRequestType` | `getRemoveObjectsRequest()`
`RemoveSlotsRequestType` | `getRemoveSlotsRequest()`
`SubmitObjectsRequestType` | `getSubmitObjectsRequest()`
`UpdateObjectsRequestType` | `getUpdateObjectsRequest()`
`void` | `setAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest)`
`void` | `setAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest)`
`void` | `setApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest)`
`void` | `setDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest)`
`void` | `setGetContentRequest(GetContentRequestType newGetContentRequest)`
`void` | `setRegistryProfile(RegistryProfileType newRegistryProfile)`
`void` | `setRegistryResponse(RegistryResponseType newRegistryResponse)`
`void` | `setRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest)`
`void` | `setRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest)`
`void` | `setSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest)`
`void` | `setUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getSubmitObjectsRequest

    public SubmitObjectsRequestType getSubmitObjectsRequest()

  Specified by:
    `getSubmitObjectsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Submit Objects Request' containment reference.
  See Also:
    `RootElementType.setSubmitObjectsRequest(SubmitObjectsRequestType)`, `RegistryPackage.getRootElementType_SubmitObjectsRequest()`

### basicSetSubmitObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubmitObjectsRequest

    public void setSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest)

  Specified by:
    `setSubmitObjectsRequest` in interface `RootElementType`
  Parameters:
    `newSubmitObjectsRequest` - the new value of the 'Submit Objects Request' containment reference.
  See Also:
    `RootElementType.getSubmitObjectsRequest()`

### getUpdateObjectsRequest

    public UpdateObjectsRequestType getUpdateObjectsRequest()

  Specified by:
    `getUpdateObjectsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Update Objects Request' containment reference.
  See Also:
    `RootElementType.setUpdateObjectsRequest(UpdateObjectsRequestType)`, `RegistryPackage.getRootElementType_UpdateObjectsRequest()`

### basicSetUpdateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setUpdateObjectsRequest

    public void setUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest)

  Specified by:
    `setUpdateObjectsRequest` in interface `RootElementType`
  Parameters:
    `newUpdateObjectsRequest` - the new value of the 'Update Objects Request' containment reference.
  See Also:
    `RootElementType.getUpdateObjectsRequest()`

### getApproveObjectsRequest

    public ApproveObjectsRequestType getApproveObjectsRequest()

  Specified by:
    `getApproveObjectsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Approve Objects Request' containment reference.
  See Also:
    `RootElementType.setApproveObjectsRequest(ApproveObjectsRequestType)`, `RegistryPackage.getRootElementType_ApproveObjectsRequest()`

### basicSetApproveObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setApproveObjectsRequest

    public void setApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest)

  Specified by:
    `setApproveObjectsRequest` in interface `RootElementType`
  Parameters:
    `newApproveObjectsRequest` - the new value of the 'Approve Objects Request' containment reference.
  See Also:
    `RootElementType.getApproveObjectsRequest()`

### getDeprecateObjectsRequest

    public DeprecateObjectsRequestType getDeprecateObjectsRequest()

  Specified by:
    `getDeprecateObjectsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `RootElementType.setDeprecateObjectsRequest(DeprecateObjectsRequestType)`, `RegistryPackage.getRootElementType_DeprecateObjectsRequest()`

### basicSetDeprecateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setDeprecateObjectsRequest

    public void setDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest)

  Specified by:
    `setDeprecateObjectsRequest` in interface `RootElementType`
  Parameters:
    `newDeprecateObjectsRequest` - the new value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `RootElementType.getDeprecateObjectsRequest()`

### getRemoveObjectsRequest

    public RemoveObjectsRequestType getRemoveObjectsRequest()

  Specified by:
    `getRemoveObjectsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Remove Objects Request' containment reference.
  See Also:
    `RootElementType.setRemoveObjectsRequest(RemoveObjectsRequestType)`, `RegistryPackage.getRootElementType_RemoveObjectsRequest()`

### basicSetRemoveObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRemoveObjectsRequest

    public void setRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest)

  Specified by:
    `setRemoveObjectsRequest` in interface `RootElementType`
  Parameters:
    `newRemoveObjectsRequest` - the new value of the 'Remove Objects Request' containment reference.
  See Also:
    `RootElementType.getRemoveObjectsRequest()`

### getAdhocQueryRequest

    public AdhocQueryRequestType getAdhocQueryRequest()

  Specified by:
    `getAdhocQueryRequest` in interface `RootElementType`
  Returns:
    the value of the 'Adhoc Query Request' containment reference.
  See Also:
    `RootElementType.setAdhocQueryRequest(AdhocQueryRequestType)`, `RegistryPackage.getRootElementType_AdhocQueryRequest()`

### basicSetAdhocQueryRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryRequest

    public void setAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest)

  Specified by:
    `setAdhocQueryRequest` in interface `RootElementType`
  Parameters:
    `newAdhocQueryRequest` - the new value of the 'Adhoc Query Request' containment reference.
  See Also:
    `RootElementType.getAdhocQueryRequest()`

### getGetContentRequest

    public GetContentRequestType getGetContentRequest()

  Specified by:
    `getGetContentRequest` in interface `RootElementType`
  Returns:
    the value of the 'Get Content Request' containment reference.
  See Also:
    `RootElementType.setGetContentRequest(GetContentRequestType)`, `RegistryPackage.getRootElementType_GetContentRequest()`

### basicSetGetContentRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetGetContentRequest(GetContentRequestType newGetContentRequest,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setGetContentRequest

    public void setGetContentRequest(GetContentRequestType newGetContentRequest)

  Specified by:
    `setGetContentRequest` in interface `RootElementType`
  Parameters:
    `newGetContentRequest` - the new value of the 'Get Content Request' containment reference.
  See Also:
    `RootElementType.getGetContentRequest()`

### getAddSlotsRequest

    public AddSlotsRequestType getAddSlotsRequest()

  Specified by:
    `getAddSlotsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Add Slots Request' containment reference.
  See Also:
    `RootElementType.setAddSlotsRequest(AddSlotsRequestType)`, `RegistryPackage.getRootElementType_AddSlotsRequest()`

### basicSetAddSlotsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setAddSlotsRequest

    public void setAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest)

  Specified by:
    `setAddSlotsRequest` in interface `RootElementType`
  Parameters:
    `newAddSlotsRequest` - the new value of the 'Add Slots Request' containment reference.
  See Also:
    `RootElementType.getAddSlotsRequest()`

### getRemoveSlotsRequest

    public RemoveSlotsRequestType getRemoveSlotsRequest()

  Specified by:
    `getRemoveSlotsRequest` in interface `RootElementType`
  Returns:
    the value of the 'Remove Slots Request' containment reference.
  See Also:
    `RootElementType.setRemoveSlotsRequest(RemoveSlotsRequestType)`, `RegistryPackage.getRootElementType_RemoveSlotsRequest()`

### basicSetRemoveSlotsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRemoveSlotsRequest

    public void setRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest)

  Specified by:
    `setRemoveSlotsRequest` in interface `RootElementType`
  Parameters:
    `newRemoveSlotsRequest` - the new value of the 'Remove Slots Request' containment reference.
  See Also:
    `RootElementType.getRemoveSlotsRequest()`

### getRegistryResponse

    public RegistryResponseType getRegistryResponse()

  Specified by:
    `getRegistryResponse` in interface `RootElementType`
  Returns:
    the value of the 'Registry Response' containment reference.
  See Also:
    `RootElementType.setRegistryResponse(RegistryResponseType)`, `RegistryPackage.getRootElementType_RegistryResponse()`

### basicSetRegistryResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryResponse(RegistryResponseType newRegistryResponse,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryResponse

    public void setRegistryResponse(RegistryResponseType newRegistryResponse)

  Specified by:
    `setRegistryResponse` in interface `RootElementType`
  Parameters:
    `newRegistryResponse` - the new value of the 'Registry Response' containment reference.
  See Also:
    `RootElementType.getRegistryResponse()`

### getRegistryProfile

    public RegistryProfileType getRegistryProfile()

  Specified by:
    `getRegistryProfile` in interface `RootElementType`
  Returns:
    the value of the 'Registry Profile' containment reference.
  See Also:
    `RootElementType.setRegistryProfile(RegistryProfileType)`, `RegistryPackage.getRootElementType_RegistryProfile()`

### basicSetRegistryProfile

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryProfile(RegistryProfileType newRegistryProfile,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryProfile

    public void setRegistryProfile(RegistryProfileType newRegistryProfile)

  Specified by:
    `setRegistryProfile` in interface `RootElementType`
  Parameters:
    `newRegistryProfile` - the new value of the 'Registry Profile' containment reference.
  See Also:
    `RootElementType.getRegistryProfile()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD